curl --request POST \
--url https://api.synctera.com/v1/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL"
},
"type": "CREDIT"
}
'{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"emboss_name": {
"line_1": "Jane Smith",
"line_2": "Acme Inc."
},
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL",
"shipping": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": true,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"card_status": "ACTIVE",
"status_reason": "ACT",
"card_fulfillment_status": "DIGITALLY_PRESENTED",
"card_brand": "MASTERCARD",
"physical_card_format": "CHIP",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_time": "2010-05-06T12:23:34.321Z",
"expiration_year": "25",
"is_pin_set": true,
"last_four": "1234",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"reissue_reason": "APPEARANCE",
"reissued_from_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"reissued_to_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"timestamp_pin_set": "2010-05-06T12:23:34.321Z",
"bulk_order_config_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_image_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"memo": "<string>",
"pending_reasons": {
"is_waiting_for_bulk_shipment": true,
"is_waiting_for_image": true,
"is_waiting_for_pin": true
},
"fulfillment_details": {
"bulk_order_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"ship_date": "2022-07-19",
"shipping_method": "UPS Next Day Air Saver",
"tracking_number": "1ZW3268W1319325382"
},
"bin": "<string>"
},
"tenant": "abcdef_ghijkl",
"type": "CREDIT",
"vendor_data": {
"loan_pro": {
"card_id": 123,
"secure_payments_card_uuid": "<string>"
}
}
}Issue or reissue a new card for a customer
curl --request POST \
--url https://api.synctera.com/v1/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL"
},
"type": "CREDIT"
}
'{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"emboss_name": {
"line_1": "Jane Smith",
"line_2": "Acme Inc."
},
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL",
"shipping": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": true,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"card_status": "ACTIVE",
"status_reason": "ACT",
"card_fulfillment_status": "DIGITALLY_PRESENTED",
"card_brand": "MASTERCARD",
"physical_card_format": "CHIP",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_time": "2010-05-06T12:23:34.321Z",
"expiration_year": "25",
"is_pin_set": true,
"last_four": "1234",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"reissue_reason": "APPEARANCE",
"reissued_from_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"reissued_to_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"timestamp_pin_set": "2010-05-06T12:23:34.321Z",
"bulk_order_config_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_image_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"memo": "<string>",
"pending_reasons": {
"is_waiting_for_bulk_shipment": true,
"is_waiting_for_image": true,
"is_waiting_for_pin": true
},
"fulfillment_details": {
"bulk_order_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"ship_date": "2022-07-19",
"shipping_method": "UPS Next Day Air Saver",
"tracking_number": "1ZW3268W1319325382"
},
"bin": "<string>"
},
"tenant": "abcdef_ghijkl",
"type": "CREDIT",
"vendor_data": {
"loan_pro": {
"card_id": 123,
"secure_payments_card_uuid": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Card to issue
A card that can spend against a deposit account
A request to issue a physical card
Show child attributes
The ID of the account to which the card will be linked
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The card product to which the card is attached
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
PHYSICAL or VIRTUAL.
PHYSICAL, VIRTUAL The business ID associated with this card. If no customer_id is supplied, a card can still be issued to a business, but cannot be activated or used until a customer is assigned via the PATCH /cards/{card_id} endpoint.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the customer to whom the card will be issued. If this is not populated with a valid customer_id the card cannot be activated or used for spend until it's assigned to a human customer via the PATCH /cards/{card_id} endpoint. If no business_id is passed, a customer_id is required.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The customer details to emboss on the card - Defaults to customer first and last name. Is limited to 21 characters. Valid characters are A-Z, a-z, 0-9, space ( ), period (.), comma (,), forward slash (/), hyphen (-), ampersand (&), single quote (').
This is the reason the card needs to be reissued, if any. The reason determines several behaviours:
| Reason | Same PAN | Terminate Old Card |
|---|---|---|
| APPEARANCE | yes | on activation |
| BANK_MIGRATION | yes | on activation |
| DAMAGED | yes | on activation |
| EXPIRATION | yes | on activation |
| LOST | no | immediately |
| PRODUCT_CHANGE | yes | on activation |
| PROGRAM_CHANGE | yes | on activation |
| STOLEN | no | immediately |
For all reasons, the new card will use the same PIN as the original card and digital wallet tokens will reassigned to the new card
APPEARANCE, BANK_MIGRATION, DAMAGED, EXPIRATION, LOST, PRODUCT_CHANGE, PROGRAM_CHANGE, STOLEN When reissuing a card, specify the card to be replaced here. When getting a card's details, if this card was issued as a reissuance of another card, this ID refers to the card was replaced. If this field is set, then reissue_reason must also be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the bulk order config which should be used for shipping this card as part of a bulk order. Refer to Bulk Issuance for details on ordering cards in bulk.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the custom card image used for this card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Details about the shipping method. If supplied this will override the default shipping address of the customer or account.
Show child attributes
The address to which the card will be shipped - Defaults to account shipping address if none supplied
Show child attributes
Street address line 1
100"100 Main St."
City
"New York"
ISO-3166-1 Alpha-2 country code
"US"
Postal code
"49633"
State, region, province, or prefecture. This is the ISO-3166-2 subdivision code, excluding the country prefix. For example, TX for Texas USA or TAM for Tamaulipas Mexico. Its length varies by country, e.g. 2 characters for US, 3 for MX.
"NY"
Street address line 2
100"Suite 99"
The name of the person to send in care of
Is the shipment expedited
The shipping method.
INTERNATIONAL_GROUND is only available for addresses in Canada and Mexico.INTERNATIONAL, INTERNATIONAL_GROUND, INTERNATIONAL_PRIORITY, LOCAL_MAIL, LOCAL_PRIORITY, OVERNIGHT, TWO_DAY "LOCAL_MAIL"
The phone number of the recipient
"+14374570680"
The name of the recipient to whom the card will be shipped
Show child attributes
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL"
}The type of the card program and BIN
CREDIT, DEBIT, PREPAID Card issued
A card that can spend against a credit account
A card that can spend against a credit account
Show child attributes
The ID of the account to which the card will be linked
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The card product to which the card is attached
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The timestamp representing when the card issuance request was made
"2010-05-06T12:23:34.321Z"
The customer details to emboss on the card - Defaults to customer first and last name. Is limited to 21 characters. Valid characters are A-Z, a-z, 0-9, space ( ), period (.), comma (,), forward slash (/), hyphen (-), ampersand (&), single quote (').
Card ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
PHYSICAL or VIRTUAL.
PHYSICAL, VIRTUAL Details about the shipping method. If supplied this will override the default shipping address of the customer or account.
Show child attributes
The address to which the card will be shipped - Defaults to account shipping address if none supplied
Show child attributes
Street address line 1
100"100 Main St."
City
"New York"
ISO-3166-1 Alpha-2 country code
"US"
Postal code
"49633"
State, region, province, or prefecture. This is the ISO-3166-2 subdivision code, excluding the country prefix. For example, TX for Texas USA or TAM for Tamaulipas Mexico. Its length varies by country, e.g. 2 characters for US, 3 for MX.
"NY"
Street address line 2
100"Suite 99"
The name of the person to send in care of
Is the shipment expedited
The shipping method.
INTERNATIONAL_GROUND is only available for addresses in Canada and Mexico.INTERNATIONAL, INTERNATIONAL_GROUND, INTERNATIONAL_PRIORITY, LOCAL_MAIL, LOCAL_PRIORITY, OVERNIGHT, TWO_DAY "LOCAL_MAIL"
The phone number of the recipient
"+14374570680"
The name of the recipient to whom the card will be shipped
Show child attributes
The status indicating the card lifecycle state
ACTIVE, PENDING, REJECTED, SUSPENDED, TERMINATED, UNACTIVATED The reason for the card status
| Code | Description |
|---|---|
| NEW | Card activated |
| REQ | Requested by you |
| INA | Dormant |
| UNK | Invalid shipping address |
| NEG | Negative account balance |
| REV | Account under review |
| SUS | Suspicious activity |
| OUT | Activity outside program parameters |
| FRD | Confirmed fraud |
| MAT | Matched with an OFAC list |
| LOS | Card reported lost |
| CLO | Card was cloned |
| COM | Account or card was compromised |
| TMP | Awaiting customer confirmation |
| PRC | Initiated by Processor |
| ISS | Initiated by Issuer |
| EXP | Card expired |
| KYC | Failed KYC |
| INF | Information was validated |
| ACT | Account activity was validated |
| AUX | Initiated by a third party |
| PIN | PIN try limit reached |
| STO | Card reported stolen |
| ADD | Address issue |
| NAM | Name issue |
| SSN | SSN issue |
| DOB | DOB issue |
| EML | Email issue |
| PHO | Phone issue |
| FUL | Account/fulfillment mismatch |
| OTH | Other |
ACT, ADD, AUX, CLO, COM, DOB, EML, EXP, FRD, FUL, INA, INF, ISS, KYC, LOS, MAT, NAM, NEG, NEW, OTH, OUT, PHO, PIN, PRC, REQ, REV, SSN, STO, SUS, TMP, UNK The status indicating the state of the card issuance
DIGITALLY_PRESENTED, ISSUED, ORDERED, REISSUED, REJECTED, REORDERED, SHIPPED The brand of a card product
MASTERCARD, VISA The format of a physical card product
CHIP, CONTACTLESS, MAGNETIC_STRIPE, PHYSICAL_COMBO The business ID associated with this card. If no customer_id is supplied, a card can still be issued to a business, but cannot be activated or used until a customer is assigned via the PATCH /cards/{card_id} endpoint.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the customer to whom the card will be issued. If this is not populated with a valid customer_id the card cannot be activated or used for spend until it's assigned to a human customer via the PATCH /cards/{card_id} endpoint. If no business_id is passed, a customer_id is required.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"06"
The timestamp representing when the card would expire at
"2010-05-06T12:23:34.321Z"
"25"
indicates whether a pin has been set on the card
true
The last 4 digits of the card PAN
"1234"
The timestamp representing when the card was last modified at
"2010-05-06T12:23:34.321Z"
This is the reason the card needs to be reissued, if any. The reason determines several behaviours:
| Reason | Same PAN | Terminate Old Card |
|---|---|---|
| APPEARANCE | yes | on activation |
| BANK_MIGRATION | yes | on activation |
| DAMAGED | yes | on activation |
| EXPIRATION | yes | on activation |
| LOST | no | immediately |
| PRODUCT_CHANGE | yes | on activation |
| PROGRAM_CHANGE | yes | on activation |
| STOLEN | no | immediately |
For all reasons, the new card will use the same PIN as the original card and digital wallet tokens will reassigned to the new card
APPEARANCE, BANK_MIGRATION, DAMAGED, EXPIRATION, LOST, PRODUCT_CHANGE, PROGRAM_CHANGE, STOLEN When reissuing a card, specify the card to be replaced here. When getting a card's details, if this card was issued as a reissuance of another card, this ID refers to the card was replaced. If this field is set, then reissue_reason must also be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
If this card was reissued, this ID refers to the card that replaced it.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Time when the PIN was last set or changed.
"2010-05-06T12:23:34.321Z"
The ID of the bulk order config which should be used for shipping this card as part of a bulk order. Refer to Bulk Issuance for details on ordering cards in bulk.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the custom card image used for this card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Additional details about the reason for the status change
255reasons why the card status is PENDING
Show child attributes
The card is to be shipping as part of a bulk shipment but that bulk shipment has not yet been released.
The card has a custom image and either that image hasn't yet been uploaded and approved or the card has not yet been processed by the periodic daily custom card image processing task.
The card requires a PIN to be set before it can be issued (refer to the pin_issuance_policy of the related card product). The PIN has not yet been set and not enough time has passed to use a random PIN (if applicable).
Show child attributes
The unique identifier of a bulk order in which the card was fulfilled
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date that the card was shipped as reported by the card fulfillment provider
"2022-07-19"
The specific shipping method as reported by the card fulfillment provider
"UPS Next Day Air Saver"
The shipment tracking number
"1ZW3268W1319325382"
The bin number
The id of the tenant containing the resource.
"abcdef_ghijkl"
The type of the card program and BIN
CREDIT, DEBIT, PREPAID Was this page helpful?